Bug 38185 - ExplorerUtils replacement for ExplorerPanel does not set activatedNodes
ExplorerUtils replacement for ExplorerPanel does not set activatedNodes
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
3.x
PC Linux
: P3 (vote)
: 3.x
Assigned To: Jaroslav Tulach
issues@platform
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-17 14:39 UTC by Jaroslav Tulach
Modified: 2008-12-22 20:48 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Improvements to code and test base (18.11 KB, patch)
2003-12-17 14:42 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2003-12-17 14:39:27 UTC
As has been discussed on dev@openide:
http://openide.netbeans.org/servlets/ReadMsg?msgId=636478&listName=dev

the default way of using ExplorerUtils leaves
TopComponent.getLookup() and
TopComponent.getActivatedNodes() in inconsistent
state. 

I'am attaching a solution that fixes this state by
adding one new TopComponent constructor with
Lookup as argument. If used, the TopComponent then
automatically synchronizes lookup content with its
getActivatedNodes values.
Comment 1 Jaroslav Tulach 2003-12-17 14:42:39 UTC
Created attachment 12614 [details]
Improvements to code and test base
Comment 2 Jaroslav Tulach 2003-12-22 16:45:40 UTC
Silence == Agreement. Will be commited soon.
Comment 3 Jaroslav Tulach 2003-12-27 18:02:22 UTC
Checking in openide-spec-vers.properties;
/cvs/openide/openide-spec-vers.properties,v  <-- 
openide-spec-vers.properties
new revision: 1.127; previous revision: 1.126
done
Processing log script arguments...
More commits to come...
Checking in api/doc/changes/apichanges.xml;
/cvs/openide/api/doc/changes/apichanges.xml,v  <--  apichanges.xml
new revision: 1.180; previous revision: 1.179
done
Processing log script arguments...
More commits to come...
Checking in src/org/openide/explorer/ExplorerUtils.java;
/cvs/openide/src/org/openide/explorer/ExplorerUtils.java,v  <-- 
ExplorerUtils.java
new revision: 1.3; previous revision: 1.2
done
Processing log script arguments...
More commits to come...
Checking in src/org/openide/windows/TopComponent.java;
/cvs/openide/src/org/openide/windows/TopComponent.java,v  <-- 
TopComponent.java
new revision: 1.109; previous revision: 1.108
done
Processing log script arguments...
More commits to come...
Checking in
test/unit/src/org/openide/explorer/ExplorerUtilCreateLookupTest.java;
/cvs/openide/test/unit/src/org/openide/explorer/ExplorerUtilCreateLookupTest.java,v
 <--  ExplorerUtilCreateLookupTest.java
new revision: 1.2; previous revision: 1.1
done
Processing log script arguments...
More commits to come...
RCS file:
/cvs/openide/test/unit/src/org/openide/windows/TopComponentLookupToNodesBridge.java,v
done
Checking in
test/unit/src/org/openide/windows/TopComponentLookupToNodesBridge.java;
/cvs/openide/test/unit/src/org/openide/windows/TopComponentLookupToNodesBridge.java,v
 <--  TopComponentLookupToNodesBridge.java
initial revision: 1.1
Comment 4 Marian Mirilovic 2005-07-13 13:25:35 UTC
closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo